Subject: Re: [PATCH 2/2] merge: make sure to terminate message with newline

From: Junio C Hamano <[email-masked]>
Date: Fri, 16 Jul 2021 15:13:44 -0700

Jeff King <[email-masked]> writes:

> which would cover that case. But Phillip mentioned that our own
> fmt_merge_msg() does not include a newline. So it would not be the user
> feeding us an incomplete line, but rather Git feeding it.
>
> And that was
> what I suggested should be corrected (which I suppose would be in
> addition to correcting lines from the user).
>
> However, I see a call to strbuf_complete_line() at the end of
> fmt_merge_msg(), so I am puzzled about what he meant.

Whew.  You got me worried.  Yeah, if fmt_merge_msg() is not
terminating its output, we should fix that, but I do not see such a
breakage in the current code, either.

Thanks.